cpw.mods.fml.common.functions

## Class CollectionWrapperFactory

- java.lang.Object
- - cpw.mods.fml.common.functions.CollectionWrapperFactory

-     public class CollectionWrapperFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionWrapperFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> java.util.Collection<T>` | `wrap(java.util.Collection coll, java.lang.Class<T> elementType)` Return a read only cast view of the supplied ungeneric collection, based on the element type given
    `static <T> java.util.List<T>` | `wrap(java.util.List list, java.lang.Class<T> elementType)` Return a read only cast view of the supplied ungeneric list, based on the element type given

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionWrapperFactory

          public CollectionWrapperFactory()

  - ### Method Detail

    - #### wrap

          public static <T> java.util.Collection<T> wrap(java.util.Collection coll,
                                         java.lang.Class<T> elementType)

      Return a read only cast view of the supplied ungeneric collection, based on the element type given
      Parameters:
        `coll` - The collection to cast
        `elementType` - the supertype contained in the collection
      Returns:
        a collection asserting that type relationship

    - #### wrap

          public static <T> java.util.List<T> wrap(java.util.List list,
                                   java.lang.Class<T> elementType)

      Return a read only cast view of the supplied ungeneric list, based on the element type given
      Parameters:
        `list` - The list to cast
        `elementType` - the supertype contained in the list
      Returns:
        a list asserting that type relationship